Early Retirement of 2.0.x

Information on new releases or updates to existing products or services will be posted here.
Post Reply
echophp
Posts: 657
Joined: Sun Feb 11, 2007 9:07 am

Early Retirement of 2.0.x

Post by echophp » Fri Apr 18, 2008 8:46 am

phpBB Group wrote:Hello,

Today we are announcing our retirement plans for phpBB 2.0.x. This is advanced notification so that everyone can stay informed.

Commencing Wednesday 1st October 2008, phpBB 2.0.x download links will be removed from the download page at phpBB.com. Anyone wishing to obtain phpBB 2.0.x can continue to obtain the 2.0.x package at sourceforge.net.

Commencing Thursday 1st January 2009, phpBB 2.0.x will be formally retired, and support will no longer be actively provided for 2.0.x. Converting from 2.0.x to 3.0.x will continue to be supported.

Security patches, if required, will be provided until Sunday 1st February 2009.

The reason for the early retirement is the PHP Group's decision to retire PHP 4. phpBB 2.0 mainly runs on the PHP 4 codebase and it would be unwise to require people to have an unsupported version of PHP installed in order to use phpBB.

Teams will announce how they will handle the retirement in the coming days.

This news also had been posted at http://www.phpbb.com/community/viewtopic.php?f=14&t=900655.

In addition, 'phpBB2 to phpBB3 converter for echoPHP MF v3' is also delayed in release to fix some important issues and try to pass max_execute_time and memory limit in php.ini. We will try to release it as soon as possible so you can convert your forums easily. You will be informed when it will be released via email and announcement on this forums.
Last edited by echophp on Tue Sep 23, 2008 12:47 pm, edited 1 time in total.

freephpbbforums
Posts: 43
Joined: Sat Jun 30, 2007 12:33 pm

Post by freephpbbforums » Fri Apr 18, 2008 12:49 pm

How close are we to a release date to convert ages or soon??

twhiting9275
Posts: 123
Joined: Sun Sep 02, 2007 6:46 am

Post by twhiting9275 » Fri Apr 18, 2008 2:51 pm

Heh,
I love the complete misinformation campaign here by the phpbb group.

PHPBB2 runs perfectly on php5 (and php4). I've been doing so on both for years.

The real reason the 'retirement' is early? Because they're too damn lazy to support 2 products (again, NOT echophp, but phpbb).

I'll keep both going, since I'm still getting signup requests for both. If I gotta patch it myself, then by god I will ;)
Linux Tech Networks, Quality, affordable Linux Systems Administration
TJWI- Support for Free Hosting Software

echophp
Posts: 657
Joined: Sun Feb 11, 2007 9:07 am

Post by echophp » Sat Apr 19, 2008 8:40 am

I agree that phpBB2 run perfectly on PHP5 and PHP4. But don't worry, we will continue to support both of phpBB2 and phpBB3.

Post Reply